<?
$id = $_SESSION['id'];
if(isset($_POST['update'])){
	mysql_query("update proyecto set proyecto_nombre='$i038a', proyecto_siglas='$i038b', pers_codigo=$persona, proyecto_correo='$i038d', proyecto_url='$i038e', proyecto_descripcion='$i038f', insti_codigo=$id where proyecto_codigo=".$_POST['update'], $link);
	$proy_id = $_POST['update'];
} else {
	mysql_query("insert into proyecto(proyecto_nombre, proyecto_siglas, pers_codigo, proyecto_correo, proyecto_url, proyecto_descripcion, insti_codigo)
		values ('$i038a', '$i038b', $persona, '$i038d', '$i038e', '$i038f', $id)
	", $link);
	$proy_id = mysql_insert_id();
}

/*$q = mysql_query("select tematica_codigo from tematica", $link);
$n = mysql_num_rows($q);
mysql_free_result($q);

mysql_query("delete from proyecto_tematica where proyecto_codigo=".$proy_id, $link);/////////////
for ($i=1; $i<=$n; $i++){
	$cad = "i035".$i;
	if(!empty($_POST[$cad])){
		mysql_query("insert into proyecto_tematica(proyecto_codigo, tematica_codigo) values ($proy_id, $_POST[$cad])", $link);
	}
}*/

$q = mysql_query("select max(tematica_codigo) from tematica", $link);
$n = mysql_fetch_row($q);
mysql_free_result($q);
mysql_query("delete from proyecto_tematica where proyecto_codigo=".$proy_id, $link);/////////////
for ($i=1; $i<=$n[0]; $i++){
	$cad = "i035".$i;
	if(!empty($_POST[$cad])){
		mysql_query("insert into proyecto_tematica(proyecto_codigo, tematica_codigo, rank) values ($proy_id, $i, $_POST[$cad])", $link);
	}
}

$q = mysql_query("select pobl_meta_codigo from pobl_meta", $link);
$n = mysql_num_rows($q);
mysql_free_result($q);

mysql_query("delete from proyecto_meta where proyecto_codigo=".$proy_id, $link);/////////////
for ($i=1; $i<=$n; $i++){
	$cad = "i036".$i;
	if(!empty($_POST[$cad])){
		mysql_query("insert into proyecto_meta(proyecto_codigo, pobl_meta_codigo) values ($proy_id, $_POST[$cad])", $link);
	}
}

$q = mysql_query("select vocacion_codigo from vocacion", $link);
$n = mysql_num_rows($q);
mysql_free_result($q);

mysql_query("delete from proyecto_alcance where proyecto_codigo=".$proy_id, $link);/////////////
for ($i=1; $i<=$n; $i++){
	$cad = "i037".$i;
	if(!empty($_POST[$cad])){
		mysql_query("insert into proyecto_alcance(proyecto_codigo, vocacion_codigo) values ($proy_id, $_POST[$cad])", $link);
	}
}
if(isset($aceptaro)){
		header("location:proyectos.htm");
	} elseif (isset($aceptar)){
		header("location:servicios.htm");
	}
?>